/*-------------------------------------------------------------------------
 * Vulkan Conformance Tests
 * ------------------------
 *
 * Copyright (c) 2016 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *//*!
 * \file
 * \brief TestCaseGroup utilities
 *//*--------------------------------------------------------------------*/

#include "vktTestGroupUtil.hpp"

namespace vkt
{

TestGroupHelper0::TestGroupHelper0 (tcu::TestContext&	testCtx,
									const std::string&	name,
									const std::string&	description,
									CreateChildrenFunc	createChildren,
									CleanupGroupFunc	cleanupGroup)
	: tcu::TestCaseGroup	(testCtx, name.c_str(), description.c_str())
	, m_createChildren		(createChildren)
	, m_cleanupGroup		(cleanupGroup)
{
}

TestGroupHelper0::~TestGroupHelper0 (void)
{
}

void TestGroupHelper0::init (void)
{
	m_createChildren(this);
}

void TestGroupHelper0::deinit(void)
{
	if (m_cleanupGroup)
		m_cleanupGroup(this);
}

} // vkt
